%define tarball xf86-video-ast
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

# NOTE: No DRI support available.
%ifarch %{ix86} x86_64
%define with_dri        0
%else
%define with_dri        0
%endif

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 ast video driver
Name:      	xorg-x11-drv-ast
Version:   	0.81.0
Release:   	3
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   	ast.xinf

ExclusiveArch: 	%{ix86} x86_64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk
%if %{with_dri}
BuildRequires: mesa-libGL-devel
BuildRequires: libdrm-devel
%endif

Requires:  	xorg-x11-server-Xorg

%description 
X.Org X11 ast video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static --disable-dri
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/ast_drv.so
%{_datadir}/hwdata/videoaliases/ast.xinf
#%dir %{_mandir}/man4x
# NOTE: No manpage available yet.
#%{_mandir}/man4/ast.4*

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.81.0-3
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.81.0-2
- rebuilt against X.org 7.2
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 0.81.0-1
- Initial release
